Get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID or Invoice ForeignID

Response

This endpoint returns an object.
approvalPolicylist of objects
approverslist of objects
createdAtdatetime
hasDocumentsboolean
True if the invoice has documents attached.
hasSourceEmailboolean
True if the invoice was created by an incoming email.
idstring
metadatamap from strings to strings
Metadata associated with this invoice.
paymentDestinationConfirmedboolean

True if the payment destination has been confirmed by the vendor. False if the payment destination has been set (for example, a check to an address) but has not been confirmed by the vendor.

statusenum
updatedAtdatetime
amountdouble
Total amount of invoice in major units
batchPaymentboolean
If true, this invoice will be paid as a batch payment. Batches are automatically determined by Mercoa based on the payment source, destination, and scheduled payment date.
commentslist of objects
creatorEntityIdstring
The ID of the entity who created this invoice.
creatorUserobject
Entity user who created this invoice.
currencyenum
Currency code for the amount. Defaults to USD.
deductionDatedatetime
Initial date when funds are scheduled to be deducted from payer's account. The actual deduction date may differ from this date, and will be reflected in the processedAt field.
dueDatedatetime
Due date of invoice.
entityGroupForeignIdstring
The foreign ID of the entity group that created this invoice.
entityGroupIdstring
The ID of the entity group that created this invoice.
failureTypeenum
If the invoice failed to be paid, this field will be populated with the type of failure.
Allowed values:
feesobject
Fees associated with this invoice.
foreignIdstring
The ID used to identify this invoice in your system. This ID must be unique within each creatorEntity in your system, e.g. two invoices with the same creatorEntity may not have the same foreign ID.
invoiceDatedatetime
Date the invoice was issued.
invoiceNumberstring
lineItemslist of objects
netTermsinteger
Net terms in days. Must be a positive number.
nextDeductionDatedatetime
For invoice templates, this is the date when the next recurring payment will be scheduled.
noteToSelfstring
ocrJobIdstring
ID of the OCR job that processed this invoice.
payerobject
payerIdstring
paymentDestinationobject
paymentDestinationIdstring
paymentDestinationOptionsobject
paymentScheduleobject

If this is a recurring invoice, this will be the payment schedule for the invoice. If not provided, this will be a one-time invoice.

paymentSourceobject
paymentSourceIdstring
paymentSourceOptionsobject
paymentTimingobject
processedAtdatetime
Date when the invoice payment was processed.
recurringTemplateIdstring
ID of the invoice template that created this recurring invoice. Only present if the invoice was created from a recurring template.
serviceEndDatedatetime
serviceStartDatedatetime
settlementDatedatetime
Date of funds settlement.
shippingAmountdouble
Shipping amount for this invoice.
taxAmountdouble
Tax amount for this invoice.
transactionslist of objects
Transactions associated with this invoice.
vendorobject
vendorCreditIdslist of strings
The IDs of the vendor credits that are currently applied to this invoice.
vendorIdstring

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented